Subject: Re: bug#55499: excessively large manifests due to propagation

From: Ludovic Courtès <[email-masked]>
Date: Tue, 24 May 2022 17:30:33 +0200

Hi!

Ricardo Wurmus <[email-masked]> skribis:

> A profile consisting only of four R packages (r-seurat, r-cistopic,
> r-monocle3, and r-cicero-monocle3) results in a “manifest” file that
> weighs 7.1MB.  At the MDC I repeatedly encountered manifest files that
> are exceeding 24MB.

Commit 93f601d97ca2d9b82c41afeb86879ee37eae39e6 provides a 12% size
reduction on this example, and it’s backward-compatible and cheap.

I’ll try and follow up with changes along the lines you describe.

Ludo’.